Bug 198002 - pvm installs ELF binaries in /usr/share
pvm installs ELF binaries in /usr/share
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: pvm (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Vas Dias
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-07 19:18 EDT by Adam Jackson
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-19 19:48:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Jackson 2006-07-07 19:18:54 EDT
Description of problem:

FHS violation:

# rpm -qf /usr/share/pvm3/pvmgs/LINUX/pvmgs
pvm-3.4.5-7.fc6
# file /usr/share/pvm3/pvmgs/LINUX/pvmgs
/usr/share/pvm3/pvmgs/LINUX/pvmgs: ELF 32-bit LSB executable, Intel 80386,
version 1 (SYSV), for GNU/Linux 2.6.9, dynamically linked (uses shared libs),
for GNU/Linux 2.6.9, stripped

Several others in the same directory.
Comment 1 Jason Vas Dias 2006-07-19 19:48:50 EDT
I can't see what problems having some executables under /usr/share causes .
To fix this in pvm would require major reengineering (especially of scripts
and Makefiles) and I don't see that it is warranted.
pvm should probably be moved to extras anyway.

Note You need to log in before you can comment on or make changes to this bug.